Bug 64011 - RTL sheets: you can't draw shapes from left to right, also the start position are wrong
Summary: RTL sheets: you can't draw shapes from left to right, also the start position...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0 target:4.0.4
Keywords: regression
Depends on:
Blocks: RTL-CTL 63878
  Show dependency treegraph
 
Reported: 2013-04-28 07:21 UTC by Faisal Menawer
Modified: 2013-05-21 23:14 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Test (63.56 KB, image/gif)
2013-04-28 07:27 UTC, Faisal Menawer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Faisal Menawer 2013-04-28 07:21:43 UTC
steps to reproduce:
1-open calc
2-change the sheet to be RTL(Right To Left)
3-select any of the shapes
4-try to draw the shape from the left to right.

current behavior:
the start position are wrong and can't draw the shape from left to right.

expected behavior:
the start position are correct and you can draw from left to right.
Comment 1 Faisal Menawer 2013-04-28 07:27:43 UTC
Created attachment 78571 [details]
Test
Comment 2 Lior Kaplan 2013-04-28 07:34:31 UTC
Confirmed with 4.0.0.3 as well, changing status to new.
Comment 3 Ahmad Harthi 2013-05-04 06:02:24 UTC
Works in 3.6.3 and doesn't work in 3.6.6 and 4.0.0, this is a regression.
Comment 4 Commit Notification 2013-05-21 09:36:14 UTC
Faisal M. Al-Otaibi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3661c3eb0124d6f4799fe7c4393d4576e1613bfb

fdo#64011 fix the position and the drawing from left to right in RTL sheet



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Lior Kaplan 2013-05-21 22:29:17 UTC
Fix verified on a build from master.
Comment 6 Commit Notification 2013-05-21 23:14:00 UTC
Faisal M. Al-Otaibi committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8adeb170d695ff61af81f31ad5392e5543a12d39&h=libreoffice-4-0

fdo#64011 fix the position and the drawing from left to right in RTL sheet


It will be available in LibreOffice 4.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.